Dear All

I am using AutoCAD civil 3D . I need a lisp which create a report (txt or excel) for instantaneous radius of horizontal alignment for every 1 meter station. (for the straight element it can write infinity to the report)

For example i have below lisp. It is working, it should be modify Because we have to enter station manually to this lisp. I need every 1 meter instantaneous radius report when i click to my alignment.

Thanks for your help.


Code:
(defun c:go (/ sta instrad algn)
  (vl-load-com)


  (setq algn (vlax-ename->vla-object (car (entsel "\nSelect Alignment: "))))
  


  (while (not (= (vlax-get-property algn 'ObjectName) "AeccDbAlignment"))
    (setq algn (vlax-ename->vla-object (car (entsel "\nSelect Alignment: "))))
    )
  (while (setq sta (getreal "\nEnter station: "))
  (setq instrad (vlax-get-property algn 'InstantaneousRadius sta))
    (prompt (strcat "\nRadius at station " (rtos sta 2 2) " is " (rtos instrad 2 2)))
    )
  (princ)
  )